Subject: Re: Gcc 3.2 -mno-cygwin
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Thu, 19 Dec 2002 20:17:48 -0800

> On Mon, Dec 16, 2002 at 09:07:57PM -0800, Paul G. wrote:
> >> Redirecting this, too. 
> >>  
> >> On Sun, Dec 15, 2002 at 03:18:00PM -0800, Paul G. wrote: 
> >> >Well, if your Win32 system doesn't support links (NT4 shortcuts), this 
> >> >isn't really surprising. 
> >>  
> >> Did you actually read this email or were you just scanning for keywords 
> >> like the word "link"? 
> >
> >Heh, nice bait...but I won't bite...seems like you're not in a good
> >mood right now...
> 
> Funny how your email does that to me.
> 
> To recap and elucidate:
> 
> 1) This is not a shortcut problem.  If it was the mailing list would be
> flooded with complaints.
> 
> 2) setup.exe produces old-style cygwin shortcuts.
> 
> 3) The user is allowed to assume that -mno-cygwin works fine.  It should
> be working much better in gcc 3.2 than it ever has before.
> 
> 4) You offered faulty advice when you the correct advice was to install
> the gcc-mingw package.  Please don't go on the "you know that, I know that"
> riff when you never even suggested "that".

	What would have been the point to repeat something that was already known by you, at 
the very least?  What was it I heard about "me toos"?  Perhaps it is that there is more value 
for some to pointing out falings of others rather than solutions for everyone...?

> 
> 5) Please do not suggest using other packages as a way to solve cygwin
> problems.

	Fair enough, for as long as -mno-cygwin switch, or use thereof, is not being 
deprecated...if, however, -mno-cygwin is being deprecated or the use thereof is being 
"officially" deprecated, then what's the point in talking about it in the first place?

> 
> 6) workaround: A temporary kluge used to bypass, mask or otherwise avoid
> a bug or misfeature in some system.

	I know how you hate it when people tell you they know something and you think they do 
not...even so, I have to say it again...you know that and I know that ("that", in this case being 
the "definition of a workaround").

> When something is not working you can't claim a workaround.

	Do I need to say "duh"?  Or would it be better to say, "You know that and I know that, 
therefore it is not an issue here and in fact we do agree" even if you may prefer to believe 
that I do not know or agree with you that "when something is _not_ working you _can't_ 
claim (it as) a (valid) workaround."...?

		Paul G.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/